cc.funkemunky.api.handlers

## Class ModData

- java.lang.Object
- - cc.funkemunky.api.handlers.ModData

    public class ModData
    extends java.lang.Object

Credit: https://github.com/Mas281/ForgeModBlocker/ Data holding a player's mods and their versions

### Constructor Summary

Constructors
Constructor and Description
`ModData(java.util.Map<java.lang.String,java.lang.String> mods)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Set<java.lang.String>` `getMods()` Fetches the list of mod IDs
`java.util.Map<java.lang.String,java.lang.String>` `getModsMap()` Fetches the mods map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModData

    public ModData(java.util.Map<java.lang.String,java.lang.String> mods)

### Method Detail

#### getMods

    public java.util.Set<java.lang.String> getMods()

Fetches the list of mod IDs

Returns:
  An immutable set of mod IDs
See Also:
  `mods`

#### getModsMap

    public java.util.Map<java.lang.String,java.lang.String> getModsMap()

Fetches the mods map

Returns:
  The mods map
See Also:
  `mods`